org.apache.ignite.internal.visor.misc

## Class VisorClusterChangeTagTaskResult

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.misc.VisorClusterChangeTagTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorClusterChangeTagTaskResult
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`VisorClusterChangeTagTaskResult()` Default constructor.
`VisorClusterChangeTagTaskResult(String tag, @Nullable Boolean success, @Nullable String errResp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `errorMessage()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`Boolean` `success()`
`String` `tag()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorClusterChangeTagTaskResult

    public VisorClusterChangeTagTaskResult()

Default constructor.

#### VisorClusterChangeTagTaskResult

    public VisorClusterChangeTagTaskResult(String tag,
                                           @Nullable
                                           @Nullable Boolean success,
                                           @Nullable
                                           @Nullable String errResp)

Parameters:
  `tag` - Cluster tag.
  `success` - Success of update tag operation.
  `errResp` - Error response returned if cluster tag update has failed.

### Method Detail

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### tag

    public String tag()

#### success

    public Boolean success()

#### errorMessage

    public String errorMessage()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021